Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class CommonRelativePosition

    java.lang.Object
      org.apache.fop.fo.properties.CommonRelativePosition

public class CommonRelativePosition
extends java.lang.Object

Store all common relative position properties. See Sec 7.12 of the XSL-FO Standard. Public "structure" allows direct member access.

Field Summary
`Length` | `bottom` The "bottom" property.
`Length` | `left` The "left" property.
`int` | `relativePosition` The "relative-position" property.
`Length` | `right` The "right" property.
`Length` | `top` The "top" property.

Constructor Summary
`CommonRelativePosition(PropertyList pList)` Create a CommonRelativePosition object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### relativePosition

    public int relativePosition

  The "relative-position" property.

### top

    public Length top

  The "top" property.

### right

    public Length right

  The "right" property.

### bottom

    public Length bottom

  The "bottom" property.

### left

    public Length left

  The "left" property.

Constructor Detail

### CommonRelativePosition

    public CommonRelativePosition(PropertyList pList)
                           throws PropertyException

  Create a CommonRelativePosition object.

Parameters:
  `pList` - The PropertyList with propery values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.